Perl lib version v5.8.3 doesn't match executable version v5.10.0
                                                 Last update (2013-01-10 09:12:23)
                                                                                                                   Date added (2012-05-19 17:22:23)

Summary
During the post cloning steps at the dbTier of an E-Business Suite R12.1.3 i get the error:
$cd /u01/saudi_arabia_ar/db/tech_st/11.2.0/appsutil/clone/bin
$perl adcfgclone.pl dbTier

Perl lib version (v5.8.3) doesn't match executable version (v5.10.0) at 
/u01/saudi_arabia_ar/db/tech_st/11.2.0/perl/lib/5.8.3/x86_64-linux-thread-multi/Config.pm line 32.
Compilation failed in require at /u01/saudi_arabia_ar/db/tech_st/11.2.0/appsutil/clone/ouicli.pl line 35.
BEGIN failed--compilation aborted at /u01/saudi_arabia_ar/db/tech_st/11.2.0/appsutil/clone/ouicli.pl line 35.
Checking Oracle Support find Note:
Rapid Clone Error : 11gR2 Database : Perl lib Version (v5.8.5) Doesn't Match Executable Version (v5.10.0) [ID 1276455.1]

check $perl -v
check $which perl

if you have something different than: Perl Version v5.10.0 then set the $PERL5LIB and $PATH to the correct perl
The error probably comes from mismatch between the perl of some old $ORACLE_HOME before upgrade to 11.2.0

Workaround
export ORACLE_HOME=/u01/saudi_arabia_ar/db/tech_st/11.2.0
export PERL5LIB=$ORACLE_HOME/perl/lib/5.10.0:$ORACLE_HOME/perl/site_perl/5.10.0:$ORACLE_HOME/appsutil/perl
export PATH=$ORACLE_HOME/perl:$ORACLE_HOME/perl/lib:$ORACLE_HOME/perl/bin:$PATH
check again perl version
$ perl -v
This is perl, v5.10.0 built for x86_64-linux-thread-multi

Copyright 1987-2007, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl".  If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.
after setting correct the Perl version run again post cloning steps.
Reviews
Filters
Search